Name: x11-driver-video-cirrus
Version: 1.6.0
Release: %mkrel 2
Summary: X.org driver for Cirrus Logic
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-cirrus-%{version}.tar.xz
Patch100: 0001-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch 
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-cirrus is the X.org driver for Cirrus Logic.

%prep
%autosetup -p1 -n xf86-video-cirrus-%{version}

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_mandir}/man4/cirrus.*




%changelog
* Thu Feb 16 2023 ghibo <ghibo> 1.6.0-2.mga9
+ Revision: 1943545
- Rebuild against newer x11-server

* Tue Jul 12 2022 tv <tv> 1.6.0-1.mga9
+ Revision: 1868592
- 1.6.0

* Fri Apr 01 2022 umeabot <umeabot> 1.5.3-12.mga9
+ Revision: 1837959
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 1.5.3-11.mga9
+ Revision: 1748552
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.5.3-10.mga8
+ Revision: 1544073
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5.3-9.mga7
+ Revision: 1301751
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.5.3-8.mga7
+ Revision: 1207706
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.5.3-7.mga6
+ Revision: 1067896
- fix build with xserver 1.19

* Thu Nov 17 2016 tv <tv> 1.5.3-6.mga6
+ Revision: 1067732
- adjust file list
- run autoreconf
- use new macros
- add fixes from git

* Sat Jul 23 2016 tmb <tmb> 1.5.3-5.mga6
+ Revision: 1043235
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.5.3-4.mga6
+ Revision: 963366
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.5.3-3.mga6
+ Revision: 902289
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.5.3-2.mga6
+ Revision: 902049
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.5.3-1.mga6
+ Revision: 836073
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-10.mga5
+ Revision: 746814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-9.mga5
+ Revision: 690425
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.5.2-8.mga5
+ Revision: 635009
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.5.2-7.mga5
+ Revision: 633666
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.5.2-6.mga5
+ Revision: 614357
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.5.2-5.mga5
+ Revision: 582307
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-4.mga4
+ Revision: 525398
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.5.2-3.mga4
+ Revision: 433145
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.5.2-2.mga4
+ Revision: 385978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tv <tv> 1.5.2-1.mga3
+ Revision: 343565
- new release

* Thu Sep 06 2012 tv <tv> 1.5.1-2.mga3
+ Revision: 288954
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.5.1-1.mga3
+ Revision: 273773
- new release

* Thu Jul 12 2012 tv <tv> 1.5.0-1.mga3
+ Revision: 270217
- new release

* Wed Jun 06 2012 tmb <tmb> 1.4.0-4.mga3
+ Revision: 256385
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.0-3.mga3
+ Revision: 253004
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.0-2.mga3
+ Revision: 250003
- rebuild for new X.org server

* Wed May 30 2012 tv <tv> 1.4.0-1.mga3
+ Revision: 249939
- drop merged patches
- new release

* Thu Dec 29 2011 tmb <tmb> 1.3.2-7.mga2
+ Revision: 188770
- Limit the maximul pitch of GD5436 and GD5446 (mga #3926)

* Tue Dec 06 2011 tmb <tmb> 1.3.2-6.mga2
+ Revision: 177548
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.3.2-5.mga2
+ Revision: 153114
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.3.2-4.mga1
+ Revision: 64391
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.2-3.mga1
+ Revision: 50199
- imported package x11-driver-video-cirrus


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.2-3mdv2011.0
+ Revision: 595738
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.2-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 404801
- update to new version 1.3.2

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.1-1mdv2010.0
+ Revision: 391880
- update to version 1.3.1

* Thu May 07 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.0-1mdv2010.0
+ Revision: 372970
- New version 1.3.0

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.1-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 308165
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-2mdv2009.0
+ Revision: 265904
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 211781
- New version

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194211
- Update to version 1.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-9mdv2008.1
+ Revision: 165531
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-8mdv2008.1
+ Revision: 156601
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-7mdv2008.1
+ Revision: 154869
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
  Also fix typo in @mandriva tag versioning 1.1.1, as the package version
  is really 1.1.0.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-cirrus-1.1.1@mandriva suggested on upstream
  Tag at git checkout 6d114041dc22763aa89ef6a4f4af3246de3e3b1b
- Update for new policy of hidden symbols and common macros.
- Noop patch as at first all modules will have public symbols. But this patch
  makes sure the symbols used by different modules are being explicitly exported.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-5mdv2008.1
+ Revision: 98688
- minor spec cleanup
- build against new xserver (1.4)

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-4mdv2008.0
+ Revision: 90358
- rebuild

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2008.0
+ Revision: 75756
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

